org.keycloak.federation.kerberos.impl

## Class SPNEGOAuthenticator

- java.lang.Object
- - org.keycloak.federation.kerberos.impl.SPNEGOAuthenticator

-     public class SPNEGOAuthenticator
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPNEGOAuthenticator(CommonKerberosConfig kerberosConfig, KerberosServerSubjectAuthenticator kerberosSubjectAuthenticator, String spnegoToken)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticate()`
    `protected GSSContext` | `establishContext()`
    `String` | `getAuthenticatedUsername()`
    `String` | `getResponseToken()`
    `String` | `getSerializedDelegationCredential()`
    `boolean` | `isAuthenticated()`
    `protected void` | `logAuthDetails(GSSContext gssContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPNEGOAuthenticator

          public SPNEGOAuthenticator(CommonKerberosConfig kerberosConfig,
                                     KerberosServerSubjectAuthenticator kerberosSubjectAuthenticator,
                                     String spnegoToken)

  - ### Method Detail

    - #### authenticate

          public void authenticate()

    - #### isAuthenticated

          public boolean isAuthenticated()

    - #### getResponseToken

          public String getResponseToken()

    - #### getSerializedDelegationCredential

          public String getSerializedDelegationCredential()

    - #### getAuthenticatedUsername

          public String getAuthenticatedUsername()

      Returns:
        username to be used in Keycloak. Username is authenticated kerberos principal without realm name

    - #### establishContext

          protected GSSContext establishContext()
                                         throws GSSException,
                                                IOException

      Throws:
        `GSSException`
        `IOException`

    - #### logAuthDetails

          protected void logAuthDetails(GSSContext gssContext)
                                 throws GSSException

      Throws:
        `GSSException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.